Subject: Re: [PATCH] Add an option to git-ls-tree to display also the size of object

From: Jakub Narebski <[email-masked]>
Date: Wed, 16 May 2007 02:54:37 +0200

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
>> Junio C Hamano wrote:

>>>   Also I suspect that having to show the size of a tree object,
>>>   expressed in terms of the canonical representation, might
>>>   force packv4 aware ls-tree to convert its traversal efficient
>>>   representation to the canonical one only to get its size.
>>
>> It still will be accessible, but perhaps it would be less efficient
>> with v4 pack. It is I think acceptable that -l needs more CPU (and I/O) 
>> time...
> 
> Shawn answered this better than I could.  I am moderately
> negative on the size of tree objects part.
> 
> But modulo these details, I agree that being able to get the
> size of each blob would be useful.

We can always return ' ', '-', or '0' as size for tree entries.
I wonder what to do about commits/gitlinks/subprojects...

-- 
Jakub Narebski
Poland